<template>
    <div class="tags" v-if="items && items.length">
        <el-tag v-for="(tag, ind) in items" :key="ind" :size="size" :type="type" class="tags__item">
            {{tag}}
        </el-tag>
    </div>
</template>

<script>
export default {
    props: {
        items: { // array of labels
            type: [Array],
            required: false,
        },
        size: { // default, medium, small or mini
            type: String,
            required: false,
        },
        type: { // success, info, warning, danger
            type: String,
            required: false,
        },
    },
};
</script>

<style lang="stylus" scoped>
.tags
    display: flex
    flex-wrap: wrap
    padding-top: .5rem

.tags__item
    margin: 0 .5rem .5rem 0

</style>
